package org.linotte.web.serveur;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.net.InetSocketAddress;
import java.util.HashMap;
import java.util.Map;
import java.util.StringTokenizer;

import org.alize.http.i.Executeur;
import org.linotte.moteur.outils.Ressources;

import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpHandler;
import com.sun.net.httpserver.HttpServer;

public class SunHttpServer extends AbstractServeur {

	private String version;

	private static SunHttpServer _this;

	private File notice;

	private SunHttpServer(String pversion) {
		version = pversion;
	}

	public static synchronized SunHttpServer getServeur(String pversion) {
		return (_this == null) ? _this = new SunHttpServer(pversion) : _this;
	}

	public void start(int port, File root, Executeur executeur) throws IOException {
		HttpServer server = HttpServer.create(new InetSocketAddress(port), 0);
		server.createContext("/", new Handler(executeur, root));
		server.start();
		System.out.println(version + " démarré sur le port " + port);

		// Creation de la notice : 
		InputStream in = Ressources.getFlux("notice.liv");
		System.out.println(in);
		notice = File.createTempFile("notice", ".liv");
		System.out.println(notice);
		FileOutputStream out = new FileOutputStream(notice);
		copy(in, out);

	}

	public void stop() throws IOException {
	}

	private class Handler implements HttpHandler {

		private Executeur executeur;

		private File root;

		public Handler(Executeur pexecuteur, File proot) {
			executeur = pexecuteur;
			root = proot;
		}

		public void handle(HttpExchange requete) throws IOException {

			try {

				long t0 = System.currentTimeMillis();
				StringBuilder response = new StringBuilder();

				try {

					// Livre :
					String path = requete.getRequestURI().getRawPath();
					File livre;
					if ("/notice".equals(path)) {
						// Filtre Notice :
						livre = notice;
					} else {
						livre = new File(root, path);
					}

					// Analyse des paramètres GET
					Map<String, String> acteurs = new HashMap<String, String>();
					String queryString = requete.getRequestURI().getQuery();
					if (queryString != null) {
						StringTokenizer parametres = new StringTokenizer(requete.getRequestURI().getQuery(), "&");
						while (parametres.hasMoreTokens()) {
							StringTokenizer couple = new StringTokenizer(parametres.nextToken(), "=");
							if (couple.hasMoreTokens()) {
								String nom = null, valeur = null;
								nom = couple.nextToken();
								if (couple.hasMoreTokens()) {
									valeur = couple.nextToken();
								}
								if (nom != null) {
									acteurs.put(nom, valeur);
								}
							}
						}
					}

					// Analyse des paramètres POST
					// TODO

					// Ajout des parametres du serveur :
					acteurs.put("wbt_repertoire", root.getCanonicalPath());

					// Exécution de la requête
					response.append(executeur.traiter(livre, acteurs));
				} catch (Exception e) {
					response.delete(0, response.length());
					StringWriter sw = new StringWriter();
					PrintWriter pw = new PrintWriter(sw);
					e.printStackTrace(pw);
					response.append("<html><head><title>Message : " + e.toString() + "</title><head><body>");
					String s = sw.toString().replaceAll("\n", "</br>");
					response.append(s);
					response.append("<p>Avez-vous lu la notice ? <a href=\"/notice\">http://localhost:7777/notice</a></p>");
					response.append("</body></html>");
				}
				long t1 = System.currentTimeMillis() - t0;
				if (true) {
					response.append("<hr/><p><small><a href=\"http://langagelinotte.free.fr\">" + version + "</a> - livre lu en " + t1
							+ " ms</small></p>");
				}

				requete.sendResponseHeaders(200, response.toString().getBytes().length);
				OutputStream os = requete.getResponseBody();
				os.write(response.toString().getBytes());
				os.close();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}

}
